## elinks 0.13.1

=== doc/Makefile ===
top_builddir=..
include $(top_builddir)/Makefile.config

SUBDIRS = man

# A little trick to simplify some of the rules.
VPATH = $(builddir):$(srcdir):$(top_srcdir)/contrib/perl

docdir = $(datadir)/doc

# Used by install-doc
HTML_DIR = $(DESTDIR)$(docdir)/$(PACKAGE)/html
PDF_DIR  = $(DESTDIR)$(docdir)/$(PACKAGE)/pdf
TXT_DIR  = $(DESTDIR)$(docdir)/$(PACKAGE)/txt

ASCIIDOC_CONF  = $(srcdir)asciidoc.conf
ASCIIDOC_FLAGS += --no-conf -f $(srcdir)tools/asciidoc/asciidoc.conf \
		  -f $(srcdir)tools/asciidoc/$(call backend).conf \
		  -f $(ASCIIDOC_CONF) \
		  -a "builddir=$(CURDIR)/" \
		  -a elinks_version=$(VERSION)

#############################################################################
# Build files

TXT_DOCS_NOINSTALL = \
 features.txt \
 keymap-actions.txt \
 keymap-defaults.txt \

TXT_DOCS_ASIS = \
 python.txt

HTML_DOCS-$(CONFIG_ASCIIDOC) += \
 elinks.1.html \
 elinks.conf.5.html \
 elinkskeys.5.html \
 hacking.html \
 manual.html

HTML_DOCS-$(CONFIG_XMLTO) += \
 manual.html-chunked

HTML_DOCS-$(CONFIG_POD2HTML) += \
 perl.html \
 perl-hooks.html

# We don't nowadays run pod2html on the po/perl/ scripts, because
# "make install" does not install them and they do not have the .pl
# suffix expected by the pod2html rule below.

MAN_DOCS-$(CONFIG_XMLTO) += \
 elinks.1 \
 elinks.conf.5 \
 elinkskeys.5

# Use jw for generating PDF, since xmlto seems to freak out.
PDF_DOCS-$(CONFIG_JW) += \
 manual.pdf

API_DOCS-$(CONFIG_DOXYGEN) += \
 api/doxygen

#############################################################################
## Set the default doc rules

MAN_DOCS  = $(MAN_DOCS-yes)
HTML_DOCS = $(HTML_DOCS-yes)
PDF_DOCS  = $(PDF_DOCS-yes)
API_DOCS  = $(API_DOCS-yes)

txt:  $(TXT_DOCS_NOINSTALL)
html: txt $(HTML_DOCS)
pdf:  txt $(PDF_DOCS)
man:  txt $(MAN_DOCS)
api:  $(API_DOCS)

all-docs: man html pdf

install-doc: all-docs update-man install
	@$(foreach doc,$(HTML_DOCS), \
		if test -d $(doc); then \
			$(MKINSTALLDIRS) $(DESTDIR)$(docdir)/$(PACKAGE)/html/$(doc); \
			$(call ncmd,installdata,$(doc)/*,$(HTML_DIR)/$(doc)); \
		else \
			$(MKINSTALLDIRS) $(DESTDIR)$(docdir)/$(PACKAGE)/html; \
			$(call ncmd,installdata,$(doc),$(HTML_DIR)); \
		fi;)
	@$(foreach doc,$(PDF_DOCS), \
		$(MKINSTALLDIRS) $(DESTDIR)$(docdir)/$(PACKAGE)/pdf; \
		$(call ncmd,installdata,$(doc),$(PDF_DIR));)
	@$(foreach doc,$(TXT_DOCS_ASIS), \
		$(MKINSTALLDIRS) $(DESTDIR)$(docdir)/$(PACKAGE)/txt; \
		$(call ncmd,installdata,$(srcdir)$(doc),$(TXT_DIR));)

update-man: man
	@$(if $(MAN_DOCS), \
		$(call ncmd,installdata,elinks.1,$(srcdir)man/man1/elinks.1.in); \
		$(call ncmd,installdata,elinkskeys.5,$(srcdir)man/man5/); \
		$(call ncmd,installdata,elinks.conf.5,$(srcdir)man/man5/))

clean-local:
	@$(RM) -r api $(TXT_DOCS_NOINSTALL) $(MAN_DOCS) $(HTML_DOCS) $(PDF_DOCS) *.tmp *.xml

# TODO: perl.pod should be pod2ized during make install. --pasky
install-local:

#############################################################################
# Generated asciidoc files

# Scripts and Dependencies
HELP2XML = $(srcdir)tools/help2xml
CONF2DOC = $(srcdir)tools/conf2doc
KEYS2DOC = $(srcdir)tools/keys2doc
ELINKS	 = $(top_builddir)/src/elinks
FEATURES = $(top_srcdir)/features.conf
KBDBIND	 = $(top_srcdir)/src/config/kbdbind.c

# Locale env vars to override system one to ensure commands
# using elinks binary will generate texts in english
LOCALES = LC_ALL=C LANGUAGE=en

# FIXME: Keep generated .txt files relative to the source directory and files
# they are included in.
quiet_cmd_help2xml = ' [$(LINK_COLOR)HELP2XML$(END_COLOR)]   $(RELPATH)$@'
      cmd_help2xml = $(LOCALES) $(HELP2XML) $(ELINKS) $@

quiet_cmd_conf2doc = ' [$(LINK_COLOR)CONF2DOC$(END_COLOR)]   $(RELPATH)$@'
      cmd_conf2doc = $(LOCALES) $(CONF2DOC) $(FEATURES) > $@

quiet_cmd_keys2doc = ' [$(LINK_COLOR)KEYS2DOC$(END_COLOR)]   $(RELPATH)$@'
      cmd_keys2doc = $(LOCALES) $(KEYS2DOC) $(KBDBIND) $@ > $@

features.txt: $(FEATURES) $(CONF2DOC)
	$(call cmd,conf2doc)

keymap-%.txt: $(KBDBIND) $(KEYS2DOC)
	$(call cmd,keys2doc)

option-%.frag.xml: $(ELINKS) $(HELP2XML)
	$(call cmd,help2xml)

option-%.frag.xhtml: $(ELINKS) $(HELP2XML)
	$(call cmd,help2xml)

#############################################################################
# Build commands and macros

      quiet_cmd_jw = '       [$(LINK_COLOR)JW$(END_COLOR)]   $(RELPATH)$@'
            cmd_jw = $(JW) -b $(2) $<

   quiet_cmd_xmlto = '    [$(LINK_COLOR)XMLTO$(END_COLOR)]   $(RELPATH)$@'
         cmd_xmlto = $(XMLTO) -o $(call outdir) $(3) $(2) $<

quiet_cmd_pod2html = ' [$(LINK_COLOR)POD2HTML$(END_COLOR)]   $(RELPATH)$@'
      cmd_pod2html = $(POD2HTML) --outfile=$@ < $<

quiet_cmd_asciidoc = ' [$(LINK_COLOR)ASCIIDOC$(END_COLOR)]   $(RELPATH)$@'
      cmd_asciidoc = $(ASCIIDOC) $(ASCIIDOC_FLAGS) -b $(call backend) -d $(call doctype) -o $@ $<

 quiet_cmd_doxygen = ' [$(LINK_COLOR)DOXYGEN$(END_COLOR)]   $(RELPATH)$@'
       cmd_doxygen = $(DOXYGEN) $(2)

# Based on $@ find out asciidoc doctype or backend + xmlto output dir.
doctype = $(if $(findstring .1.,$@)$(findstring .5.,$@),manpage,book)
backend = $(if $(findstring .xml,$@),docbook,xhtml11)
outdir  = $(if $(findstring -chunked,$@),$@,.)

# Loosely track dependencies via asciidoc includes.
asciidoc_dep = sed -n 's/[{]builddir}//g;s@include1\{0,1\}::\(.*\)\[.*@$@: $< \1@p' < $< > .deps/$(@F).asciidoc

-include .deps/*.asciidoc


#############################################################################
# Build recipies

%.html: %.txt $(ASCIIDOC_CONF)
	$(call cmd,asciidoc,xhtml11)
	@-$(call asciidoc_dep)

manual.xml: txt

%.xml: %.txt $(ASCIIDOC_CONF)
	$(call cmd,asciidoc,docbook)
	@-$(call asciidoc_dep)

# asciidoc_dep above also generates these dependencies, but it runs
# only after asciidoc has succeeded, which won't happen if the files
# are missing.
elinks.1.xml: option-command.frag.xml
elinks.conf.5.xml: option-config.frag.xml
elinks.1.html: option-command.frag.xhtml
elinks.conf.5.html: option-config.frag.xhtml

%.1: %.1.xml
	$(call cmd,xmlto,man)

%.5: %.5.xml
	$(call cmd,xmlto,man)

%.html-chunked: %.xml
	$(call cmd,xmlto,html)

%.pdf: %.xml
	$(call cmd,jw,pdf)

%.html: %.pod
	$(call cmd,pod2html)

perl-%.html: %.pl
	$(call cmd,pod2html)

Doxyfile: $(srcdir)Doxyfile.in $(top_srcdir)/configure.ac
	cd $(top_builddir) && \
	CONFIG_FILES="$(RELPATH)$@" CONFIG_HEADERS= $(SHELL) ./config.status

api/doxygen: Doxyfile $(shell find $(top_srcdir)/src/ -name '*.[ch]' -o -name options.inc -o -name 'actions-*.inc' | sort)
	$(call cmd,doxygen,$<)

include $(top_srcdir)/Makefile.lib

=== po/Makefile ===
top_builddir=..
include $(top_builddir)/Makefile.config

# We prefer the capitalized name for Project-Id-Version.
ifeq ($(PACKAGE), elinks)
PRETTY_PACKAGE = ELinks
else
PRETTY_PACKAGE = $(PACKAGE)
endif

# Where to install the catalog files.
localedir = $(datadir)/locale

# These are for some reason not added magically to the Makefile.
MSGMERGE = msgmerge
PERL = perl

# Name of the file containing the list of files to translate (used by
# xgettext) 
POTFILES_ABS_LIST = potfiles.list

POTFILES_REL = $(shell find $(top_srcdir)/src/ -name '*.[ch]' -o -name options.inc -o -name 'actions-*.inc' | sort)

quiet_cmd_gmsgfmt = ' [$(PO_COLOR)GMSGFMT$(END_COLOR)]   $(RELPATH)$(@)'
      cmd_gmsgfmt = rm -f -- "$@" && $(GMSGFMT) --statistics -o "$@" -- "$<"


# Distributed elinks-*.tar.gz packages include po/*.gmo files, so that
# users can install ELinks even if they don't have a msgfmt program.
# However, if srcdir != builddir, then this Makefile ignores the *.gmo
# files in the srcdir and builds new ones in the builddir.
%.gmo: $(srcdir)%.po
	$(call ecmd,gmsgfmt)


### The default rule
#
# Note: Target `all-local' must not depend on target '$(srcdir)$(PACKAGE).pot',
# otherwise packages like GCC can not be built if only parts of the source have
# been downloaded.
#
# Note 2: We aren't gcc, we are ELinks. And I want that dependency ;-). --pasky
#
# Note 3: I changed my mind, it is really annoying if you just insert one line
# and suddenly you have tons of changes in all the .po files updating the line
# informations. --pasky
#
# $(CATALOGS) is empty if --disable-nls. Beats using *-(yes|no) targets.

all-local: $(CATALOGS)


### Creating the template po template file
#
# This pulls in _all_ .c and .h files in the src directory. Even files that has
# not been added to the git repo. Beware of junk entries!

$(POTFILES_ABS_LIST): $(POTFILES_REL)
	@( cd $(top_srcdir); \
	  find src/ -type f -name '*.[ch]' -o -name options.inc -o -name 'actions-*.inc' | sort ) \
	 > $(POTFILES_ABS_LIST)

# xgettext --flag requires GNU gettext 0.13 or later;
# --msgid-bugs-address requires 0.12 or later.
$(srcdir)$(PACKAGE).pot: $(POTFILES_ABS_LIST) $(srcdir)perl/msgaccel-prepare
	$(XGETTEXT) --default-domain=$(PACKAGE) \
		    --directory=$(top_srcdir) \
		    --msgid-bugs-address=elinks-users@linuxfromscratch.org \
		    --add-comments --language=C \
		    --keyword=_ --keyword=N_ --keyword=n_:1,2 --keyword=N__ \
		    --flag=msg_text:2:c-format --flag=die:1:c-format \
		    --flag=secure_fprintf:2:c-format \
		    --flag=DBG:1:c-format --flag=elinks_debug:1:c-format \
		    --flag=WDBG:1:c-format --flag=elinks_wdebug:1:c-format \
		    --flag=ERROR:1:c-format --flag=elinks_error:1:c-format \
		    --flag=INTERNAL:1:c-format --flag=elinks_internal:1:c-format \
		    --flag=usrerror:1:c-format --flag=elinks_log:4:c-format \
		    --flag=LOG_ERR:1:c-format --flag=LOG_WARN:1:c-format \
		    --flag=LOG_INFO:1:c-format --flag=LOG_DBG:1:c-format \
		    --flag=assertm:2:c-format --flag=elinks_assertm:2:c-format \
		    --flag=add_format_to_string:2:c-format \
		    --flag=elinks_vsnprintf:3:c-format --flag=elinks_snprintf:3:c-format \
		    --flag=elinks_vasprintf:2:c-format --flag=elinks_asprintf:2:c-format \
		    --flag=vasprintfa:1:c-format --flag=asprintfa:1:c-format \
		    --flag=_:1:pass-c-format --flag=N_:1:pass-c-format \
		    --flag=n_:1:pass-c-format --flag=n_:2:pass-c-format \
		    --flag=N__:1:pass-c-format \
		    -f $(POTFILES_ABS_LIST)
	test -f $(PACKAGE).po
	$(PERL) -I"$(srcdir)perl" $(srcdir)perl/msgaccel-prepare -S"$(top_srcdir)" $(PACKAGE).po
# GNU gettext 0.17 supports xgettext --package-version but is GPLv3+.
# This rule already requires Perl so use that instead.
	$(PERL) -pi -e 's/(^"Project-Id-Version: )PACKAGE VERSION/$$1$(PRETTY_PACKAGE) $(VERSION)/i and $$found=1 unless $$found' $(PACKAGE).po
	mv -f $(PACKAGE).po $(srcdir)$(PACKAGE).pot


### Updating po and gmo files
#
# Update by merging all .po files with the .po template master file.
#
# It is possible to update only a single .po file by setting the PO variable to
# either <lang> or <lang>.po when calling make. Example: make update-po PO=is

update-po: Makefile $(srcdir)$(PACKAGE).pot
	@$(foreach lang,$(basename $(if $(strip $(PO)),$(PO),$(GMOFILES))), \
	  echo -n "$(lang): "; \
	  if $(MSGMERGE) $(srcdir)$(lang).po $(srcdir)$(PACKAGE).pot -o $(lang).new.po; then \
	    mv -f $(lang).new.po $(srcdir)$(lang).po; \
	  else \
	    echo "msgmerge failed!"; \
	    rm -f $(lang).new.po; \
	  fi; \
	)
	$(MAKE) update-gmo

update-gmo: Makefile $(GMOFILES)
	@:


### Check single or all po files
#

check-po:
	@-$(foreach lang,$(basename $(if $(strip $(PO)),$(PO),$(GMOFILES))), \
	  echo -n "$(lang): "; \
	  $(GMSGFMT) --check --check-accelerators="~" --verbose --statistics -o /dev/null $(srcdir)$(lang).po; \
	  $(PERL) -I"$(srcdir)perl" $(srcdir)perl/msgaccel-check $(srcdir)$(lang).po; \
	)

### Installation and distribution
#
# Use *-local targets to place and remove .gmo files.

install-local: all-local
	$(MKINSTALLDIRS) $(DESTDIR)$(localedir)
	@$(foreach lang,$(basename $(if $(strip $(PO)),$(PO),$(CATALOGS))), \
		$(MKINSTALLDIRS) $(DESTDIR)$(localedir)/$(lang)/LC_MESSAGES; \
		$(call ncmd,installdata,$(lang).gmo,$(DESTDIR)$(localedir)/$(lang)/LC_MESSAGES/$(PACKAGE).mo); \
	)

uninstall-local:
	@$(foreach lang,$(basename $(if $(strip $(PO)),$(PO),$(CATALOGS))), \
		$(call ncmd,uninstall,$(PACKAGE).mo,$(DESTDIR)$(localedir)/$(lang)/LC_MESSAGES); \
	)

clean-local:
	@rm -f $(PACKAGE).po *.new.po $(POTFILES_ABS_LIST)

include $(top_srcdir)/Makefile.lib

=== src/cookies/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config

OBJS = cookies.o dialogs.o parser.o
PROG = parsetst

PARSETSTDEPS = \
 $(top_builddir)/src/util/error.o \
 $(top_builddir)/src/util/string.o

ifdef CONFIG_DEBUG
PARSETSTDEPS += $(top_builddir)/src/util/memdebug.o
endif

parsetst: $(PARSETSTDEPS) parser.o parsetst.o
	$(call cmd,link)

CLEAN += parsetst.o

include $(top_srcdir)/Makefile.lib

=== src/document/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config

SUBDIRS-$(CONFIG_CSS)	+= css
SUBDIRS-$(CONFIG_DOM)	+= dom
SUBDIRS-$(CONFIG_LIBDOM) += libdom

SUBDIRS = html plain

OBJS = docdata.o document.o format.o forms.o options.o refresh.o renderer.o

include $(top_srcdir)/Makefile.lib

=== src/encoding/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config


OBJS-$(CONFIG_BROTLI)	+= brotli.o
OBJS-$(CONFIG_BZIP2)	+= bzip2.o
OBJS-$(CONFIG_GZIP)	+= deflate.o
OBJS-$(CONFIG_LZMA)	+= lzma.o
OBJS-$(CONFIG_ZSTD)	+= zstd.o

OBJS = encoding.o

include $(top_srcdir)/Makefile.lib

=== src/intl/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config

SUBDIRS-$(CONFIG_NLS) += gettext

OBJS = charsets.o

include $(top_srcdir)/Makefile.lib

=== src/osdep/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config
INCLUDES += $(X_CFLAGS)

SUBDIRS-$(CONFIG_OS_BEOS)		+= beos
SUBDIRS-$(CONFIG_OS_OS2)		+= os2
SUBDIRS-$(CONFIG_OS_RISCOS)		+= riscos
SUBDIRS-$(CONFIG_OS_UNIX)		+= unix
SUBDIRS-$(CONFIG_OS_WIN32)		+= win32

OBJS = \
 getifaddrs.o \
 newwin.o \
 osdep.o \
 signals.o \
 stub.o \
 sysname.o

include $(top_srcdir)/Makefile.lib

=== src/terminal/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config

OBJS-$(CONFIG_MOUSE) += mouse.o
OBJS-$(CONFIG_TERMINFO) += terminfo.o

OBJS = \
 color.o \
 draw.o \
 event.o \
 hardio.o \
 kbd.o \
 screen.o \
 tab.o \
 terminal.o \
 window.o

include $(top_srcdir)/Makefile.lib

=== src/util/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config

INCLUDES += $(GNUTLS_CFLAGS) $(OPENSSL_CFLAGS)

OBJS-unless$(CONFIG_SMALL)		 += fastfind.o
OBJS-$(CONFIG_CSS)			 += scanner.o
OBJS-$(CONFIG_DEBUG)			 += memdebug.o
OBJS-$(CONFIG_DOM)			 += scanner.o

# Use own MD5 implementation if testing libc or there's no OpenSSL
# (either the real thing or GNUTLS compat wrappers).
OBJS-$(CONFIG_OWN_LIBC)			 += md5.o
ifeq ($(CONFIG_GNUTLS_OPENSSL_COMPAT),no)
OBJS-unless$(CONFIG_OPENSSL)		 += md5.o
endif

ifeq ($(CONFIG_BITTORRENT),yes)
# BitTorrent is the only user. Compile in SHA1 if testing libc or
# there is no OpenSSL. The GNUTLS OpenSSL wrappers doesn't have it.
OBJS-$(CONFIG_OWN_LIBC)			 += sha1.o
OBJS-unless$(CONFIG_OPENSSL)		 += sha1.o
endif

OBJS = \
 base64.o \
 color.o \
 conv.o \
 env.o \
 error.o \
 file.o \
 hash.o \
 memlist.o \
 memory.o \
 random.o \
 secsave.o \
 snprintf.o \
 string.o \
 time.o

include $(top_srcdir)/Makefile.lib

=== src/document/html/Makefile ===
top_builddir=../../..
include $(top_builddir)/Makefile.config

SUBDIRS = parser test
OBJS	= frames.o parse-meta-refresh.o parser.o renderer.o tables.o

include $(top_srcdir)/Makefile.lib

=== src/document/libdom/Makefile ===
top_builddir=../../..
include $(top_builddir)/Makefile.config

INCLUDES += $(LIBDOM_CFLAGS)

OBJS = renderer.o

include $(top_srcdir)/Makefile.lib

=== src/ecmascript/spidermonkey/Makefile ===
top_builddir=../../..
include $(top_builddir)/Makefile.config
INCLUDES += $(SPIDERMONKEY_CFLAGS)

OBJS-$(CONFIG_ECMASCRIPT_SMJS_HEARTBEAT) += heartbeat.o

OBJS = document.o form.o location.o navigator.o unibar.o window.o

include $(top_srcdir)/Makefile.lib

=== debian/changelog ===
elinks (0.13.1-1) unstable; urgency=medium

  * New upstream version 0.13.1
  * d/watch: remove uversionmangle
  * Drop python3.patch, applied upstream
  * Update standards version to 4.5.0

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 05 Feb 2020 16:23:53 +0100

elinks (0.13.0-3) unstable; urgency=medium

  * d/watch: fix version mangling again
  * Add python3.patch to switch python scripts to Python3
  * Add python3 to build deps

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 07 Jan 2020 03:58:56 +0100

elinks (0.13.0-2) unstable; urgency=medium

  * d/watch: change oversionmangle to uversionmangle

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 03 Jan 2020 03:01:56 +0100

elinks (0.13.0-1) unstable; urgency=medium

  * Update watch file
  * gbp.conf:
    + Enable pristine-tar
    + Comment compression setting
  * New upstream version 0.13.0
  * Refresh patches
  * Set debhelper compat level in build deps
  * Add Rules-Requires-Root=no

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 30 Dec 2019 02:21:21 +0100

elinks (0.13~20190125-5) unstable; urgency=medium

  * Drop Recomeends: elinks from elinks-data (Closes: #941887)
  * Update standards version to 4.4.1

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 10 Oct 2019 05:04:23 +0200

elinks (0.13~20190125-4) unstable; urgency=medium

  * Add autopkgtest
  * Add a session test using screen.
    Currently disabled since it doesn't work
  * Remove python from Build-deps (Closes: #936475)
  * Fix installation source paths
  * Update standards version to 4.4.0

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 23 Sep 2019 18:03:39 +0200

=== debian/control ===
Source: elinks
Section: web
Priority: optional
Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Build-Depends: debhelper-compat (= 12), libtre-dev, libgnutls28-dev, libgcrypt20-dev, libidn11-dev,
	libfsplib-dev, libgpm-dev [linux-any],
	liblua5.1-dev, libbz2-dev, libexpat1-dev,
	libperl-dev, libkrb5-dev, gettext,
	xmlto, docbook-utils, pkg-config,
  liblzma-dev,
  libncurses5-dev
  ,libev-libevent-dev
  ,python3
Build-Conflicts: libgc-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://elinks.cz/
Vcs-Git: https://salsa.debian.org/aelmahmoudy-guest/elinks.git
Vcs-Browser: https://salsa.debian.org/aelmahmoudy-guest/elinks

Package: elinks
Architecture: any
Depends: ${shlibs:Depends}, elinks-data (= ${source:Version}), ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: elinks-doc
Provides: www-browser
Description: advanced text-mode WWW browser
 ELinks is a feature-rich program for browsing the web in text mode.  It is
 like enhanced Lynx and Links.  The most noteworthy features of ELinks are:
 .
  * Lots of protocols (local files, finger, HTTP(S), FTP, IPv4/6 etc.)
  * Internationalized domain names
  * Persistent cookies, HTTP authentication and proxy authentication
  * Tabbed browsing, good looking menus and dialogs, and key-binding manager
  * History browsing and typeahead searches
  * Forms history and completion, and history in commonly used input dialogs
  * CSS support and support for browser scripting (Perl, Lua, Guile etc.)
  * Tables and frames rendering, and configurable color support
  * Compressed and background (non-blocking) downloads, and download resuming
 .
 This package is based on felinks fork, since original elinks seems to be no
 longer maintained.

Package: elinks-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: elinks (<< 0.11.3-1), elinks-lite (<< 0.12~pre6-3)
Replaces: elinks (<< 0.11.3-1), elinks-lite (<< 0.12~pre6-3)
Description: advanced text-mode WWW browser - data files
 ELinks is a feature-rich program for browsing the web in text mode.  It is
 like enhanced Lynx and Links.  The most noteworthy features of ELinks are:
 .
  * Lots of protocols (local files, finger, HTTP(S), FTP, IPv4/6 etc.)
  * Internationalized domain names
  * Persistent cookies, HTTP authentication and proxy authentication
  * Tabbed browsing, good looking menus and dialogs, and key-binding manager
  * History browsing and typeahead searches
  * Forms history and completion, and history in commonly used input dialogs
  * CSS support and support for browser scripting (Perl, Lua, Guile etc.)
  * Tables and frames rendering, and configurable color support
  * Compressed and background (non-blocking) downloads, and download resuming
 .
 This package contains the data files that are necessary to use ELinks.

Package: elinks-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: elinks
Breaks: elinks (<< 0.11.3-1), elinks-lite (<< 0.11.3-1)
Replaces: elinks (<< 0.11.3-1), elinks-lite (<< 0.11.3-1)
Description: advanced text-mode WWW browser - documentation
 ELinks is a feature-rich program for browsing the web in text mode.  It is
 like enhanced Lynx and Links.  The most noteworthy features of ELinks are:
 .
  * Lots of protocols (local files, finger, HTTP(S), FTP, IPv4/6 etc.)
  * Internationalized domain names
  * Persistent cookies, HTTP authentication and proxy authentication
  * Tabbed browsing, good looking menus and dialogs, and key-binding manager
  * History browsing and typeahead searches
  * Forms history and completion, and history in commonly used input dialogs
  * CSS support and support for browser scripting (Perl, Lua, Guile etc.)
  * Tables and frames rendering, and configurable color support
  * Compressed and background (non-blocking) downloads, and download resuming
 .
 This package contains the documentation and manuals for ELinks.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --  --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --sysconfdir=/etc/elinks --with-lzma --without-openssl --without-x --enable-finger --with-gnutls=/usr --enable-nntp --enable-88-colors --enable-256-colors --enable-leds --enable-html-highlight --enable-fsp --disable-smb --with-perl --without-guile --without-python --without-ruby --with-gssapi --enable-cgi --enable-exmode --enable-bittorrent --disable-debug --enable-combining --with-terminfo --with-libev

override_dh_auto_build:
	make V=1
	# Build docs:
	dh_auto_build --builddir doc -- all-docs

override_dh_installexamples:
	dh_installexamples -X.gitignore

## elinks 0.13.2

=== doc/man/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config

SUBDIRS = man1 man5

include $(top_srcdir)/Makefile.lib

=== src/cookies/Makefile ===
--- 
+++ 
@@ -1,8 +1,14 @@
 top_builddir=../..
 include $(top_builddir)/Makefile.config
 
-OBJS = cookies.o dialogs.o parser.o
+OBJS = cookies.o dialogs.o path.o parser.o
 PROG = parsetst
+
+TEST_PROGS = \
+ cookies-t$(EXEEXT)
+
+TESTDEPS = path.o
+
 
 PARSETSTDEPS = \
  $(top_builddir)/src/util/error.o \

=== src/ecmascript/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config
INCLUDES += $(SPIDERMONKEY_CFLAGS)

SUBDIRS-$(CONFIG_ECMASCRIPT_SMJS)	+= spidermonkey

OBJS-$(CONFIG_ECMASCRIPT_SMJS)		+= spidermonkey.o

ifeq ($(CONFIG_ECMASCRIPT_SMJS), yes)
CONFIG_ANY_SPIDERMONKEY = yes
else ifeq ($(CONFIG_SCRIPTING_SPIDERMONKEY), yes)
CONFIG_ANY_SPIDERMONKEY = yes
else
CONFIG_ANY_SPIDERMONKEY = no
endif

OBJS-$(CONFIG_ANY_SPIDERMONKEY) += spidermonkey-shared.o

OBJS	= ecmascript.o

include $(top_srcdir)/Makefile.lib

=== doc/man/man1/Makefile ===
top_builddir=../../..
include $(top_builddir)/Makefile.config

elinks.1: $(srcdir)elinks.1.in $(top_srcdir)/configure.ac
	cd $(top_builddir) && \
	CONFIG_FILES="$(RELPATH)$@" CONFIG_HEADERS= $(SHELL) ./config.status

MAN1 = elinks.1

include $(top_srcdir)/Makefile.lib

=== src/scripting/lua/Makefile ===
top_builddir=../../..
include $(top_builddir)/Makefile.config

INCLUDES += $(LUA_CFLAGS)

OBJS = lua.o hooks.o core.o

include $(top_srcdir)/Makefile.lib

=== src/dom/sgml/rss/Makefile ===
top_builddir=../../../..
include $(top_builddir)/Makefile.config

OBJS = rss.o

include $(top_srcdir)/Makefile.lib

=== src/network/ssl/test/Makefile ===
top_builddir=../../../..
include $(top_builddir)/Makefile.config

SUBDIRS = 
TEST_PROGS = match-hostname-test
TESTDEPS += \
 $(top_builddir)/src/network/ssl/match-hostname.o

include $(top_srcdir)/Makefile.lib

=== debian/changelog ===
elinks (0.13.2-1) unstable; urgency=medium

  * New upstream version 0.13.2
    + Added config option ui.tostop (Closes: #958447)
  * Dropped cookie-path-fix.patch, fixed upstream

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 13 Jun 2020 12:32:00 +0200

elinks (0.13.1-4) unstable; urgency=medium

  * Fix parallel FTBFS of docs.
    Thanks to Adrian Bunk <bunk@debian.org> (Closes: #960226)
  * Make build reproducible.
    Thanks to Chris Lamb <lamby@debian.org> (Closes: #960313)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 25 May 2020 15:16:58 +0200

elinks (0.13.1-3) unstable; urgency=medium

  * Added cookie-path-fix.patch to properly handle cookie path= equal to
    request path (Closes: #959490)
  * Bump to compat level 13
  * Add d/not-installed

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 10 May 2020 11:46:28 +0200

elinks (0.13.1-2) unstable; urgency=medium

  * Update Vcs-* fields to new URL

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 09 May 2020 16:51:43 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: web
 Priority: optional
 Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
-Build-Depends: debhelper-compat (= 12), libtre-dev, libgnutls28-dev, libgcrypt20-dev, libidn11-dev,
+Build-Depends: debhelper-compat (= 13), libtre-dev, libgnutls28-dev, libgcrypt20-dev, libidn11-dev,
 	libfsplib-dev, libgpm-dev [linux-any],
 	liblua5.1-dev, libbz2-dev, libexpat1-dev,
 	libperl-dev, libkrb5-dev, gettext,
@@ -15,8 +15,8 @@
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: http://elinks.cz/
-Vcs-Git: https://salsa.debian.org/aelmahmoudy-guest/elinks.git
-Vcs-Browser: https://salsa.debian.org/aelmahmoudy-guest/elinks
+Vcs-Git: https://salsa.debian.org/aelmahmoudy/elinks.git
+Vcs-Browser: https://salsa.debian.org/aelmahmoudy/elinks
 
 Package: elinks
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 override_dh_auto_build:
 	make V=1
 	# Build docs:
-	dh_auto_build --builddir doc -- all-docs
+	dh_auto_build --no-parallel --builddir doc -- all-docs
 
 override_dh_installexamples:
-	dh_installexamples -X.gitignore
+	dh_installexamples --exclude=.gitignore

=== debian/tests/control ===
Tests: dump
Depends: elinks

#Tests: session
#Depends: elinks, screen

=== debian/watch ===
version=3

#opts=dversionmangle=s/[~](pre\d+|rc\d+)\.dfsg\d+$/$1/ \
#	http://elinks.or.cz/download/elinks-([\d]+.*)\.tar\.gz
opts=dversionmangle=s/[~](pre\d+|rc\d+)\.dfsg\d+$/$1/,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/elinks-$1\.tar\.gz/ \
  https://github.com/rkd77/felinks/releases /rkd77/felinks/archive/v(.*)\.tar\.gz

## elinks 0.16.1.1

=== meson_options.txt ===
option('largefile', type: 'boolean', value: true, description: 'support for large files')
option('bookmarks', type: 'boolean', value: true, description: 'bookmark support')
option('xbel', type: 'boolean', value: true, description: 'XBEL bookmark support (requires expat)')
option('sm-scripting', type: 'boolean', value: false, description: 'ECMAScript browser scripting (requires Spidermonkey)')
option('nls', type: 'boolean', value: true, description: 'Native Language Support')
option('cookies', type: 'boolean', value: true, description: 'cookie support')
option('formhist', type: 'boolean', value: true, description: 'form history support')
option('globhist', type: 'boolean', value: true, description: 'global history support')
option('mailcap', type: 'boolean', value: true, description: 'mailcap support')
option('mimetypes', type: 'boolean', value: true, description: 'mimetypes files support')
option('ipv6', type: 'boolean', value: true, description: 'IPv6 support')
option('bittorrent', type: 'boolean', value: true, description: 'BitTorrent protocol support')
option('data', type: 'boolean', value: true, description: 'data protocol support')
option('uri-rewrite', type: 'boolean', value: true, description: 'URI rewrite support')
option('cgi', type: 'boolean', value: false, description: 'local CGI support')
option('finger', type: 'boolean', value: false, description: 'finger protocol support')
option('fsp', type: 'boolean', value: false, description: 'FSP protocol support')
option('ftp', type: 'boolean', value: true, description: 'ftp protocol support')
option('gopher', type: 'boolean', value: false, description: 'gopher protocol support')
option('nntp', type: 'boolean', value: false, description: 'nntp protocol support')
option('smb', type: 'boolean', value: false, description: 'Samba protocol support')
option('mouse', type: 'boolean', value: true, description: 'mouse support')
option('sysmouse', type: 'boolean', value: false, description: 'BSD sysmouse support')
option('88-colors', type: 'boolean', value: false, description: '88 color support')
option('256-colors', type: 'boolean', value: false, description: '256 color support')
option('true-color', type: 'boolean', value: false, description: 'true color support')
option('exmode', type: 'boolean', value: false, description: 'exmode (CLI) interface')
option('leds', type: 'boolean', value: true, description: 'LEDs support')
option('marks', type: 'boolean', value: true, description: 'document marks support')
option('css', type: 'boolean', value: true, description: 'Cascading Style Sheet support')
option('html-highlight', type: 'boolean', value: false, description: 'HTML highlighting using DOM engine')
option('backtrace', type: 'boolean', value: true, description: 'backtrace support')
option('no-root', type: 'boolean', value: false, description: 'prevention of usage by root')
option('withdebug', type: 'boolean', value: false, description: 'leak debug and internal error checking')
option('fastmem', type: 'boolean', value: false, description: 'direct use of system allocation functions, not usable with debug enabled')
option('own-libc', type: 'boolean', value: false, description: 'force use of internal functions instead of those of system libc')
option('small', type: 'boolean', value: false, description: 'reduce binary size as far as possible (but see the bottom of doc/small.txt!)')
option('utf-8', type: 'boolean', value: true, description: 'UTF-8 support')
option('combining', type: 'boolean', value: false, description: 'support Unicode combining characters (experimental)')

option('xterm', type: 'boolean', value: false, description: 'how to invoke the X terminal emulator')
option('gpm', type: 'boolean', value: true, description: 'gpm (mouse) support')
option('terminfo', type: 'boolean', value: false, description: 'terminfo support')
option('zlib', type: 'boolean', value: true, description: 'zlib support')
option('bzlib', type: 'boolean', value: false, description: 'bzip2 support')
option('brotli', type: 'boolean', value: false, description: 'brotli support')
option('zstd', type: 'boolean', value: false, description: 'zstd support')
option('idn', type: 'boolean', value: true, description: 'international domain names support')
option('lzma', type: 'boolean', value: false, description: 'lzma encoding support')
option('gssapi', type: 'boolean', value: false, description: 'GSSAPI support')
option('spidermonkey', type: 'boolean', value: false, description: 'SpiderMonkey Mozilla JavaScript engine support')
option('guile', type: 'boolean', value: false, description: 'Guile support')
option('perl', type: 'boolean', value: false, description: 'Perl5 support')
option('python', type: 'boolean', value: false, description: 'Python3 support')
option('luapkg', type: 'string', value:'', description: 'Lua version')
option('tre', type: 'boolean', value: true, description: 'TRE regex search support')
option('ruby', type: 'boolean', value: false, description: 'Ruby support')
option('gnutls', type: 'boolean', value: false, description: 'GNUTLS SSL support')
option('openssl', type: 'boolean', value: true, description: 'OpenSSL support')
option('libev', type: 'boolean', value: false, description: 'compile with libev (libevent compatibility mode)')
option('libevent', type: 'boolean', value: false, description: 'compile with libevent. Note that libev has precedence')
option('x', type: 'boolean', value: false, description: 'use the X Window System')
option('xml', type: 'boolean', value: false, description: 'libxml++')
option('gemini', type: 'boolean', value: false, description: 'gemini protocol support')
option('gettext', type: 'boolean', value: false, description: 'use external gettext library')
option('quickjs', type: 'boolean', value: false, description: 'use quickjs library')
option('static', type: 'boolean', value: false, description: 'link static binary')

option('reproducible', type: 'boolean', value: false, description: 'reproducible build')
option('source-date-epoch', type: 'string', value: '', description: 'source date epoch for reproducible builds')

option('dgi', type: 'boolean', value: false, description: 'DOS Gateway Interface support')
option('mujs', type: 'boolean', value: false, description: 'use mujs library')
option('codepoint', type: 'boolean', value: true, description: 'whether check codepoints on Linux console')
option('test', type: 'boolean', value: false, description: 'whether build test programs')
option('docdir', type: 'string', value: '', description: 'Documentation installation directory. Default $prefix/share/doc/elinks.')
option('apidoc', type: 'boolean', value: true, description: 'whether to generate API docs with doxygen')
option('htmldoc', type: 'boolean', value: true, description: 'whether to build html docs')
option('pdfdoc', type: 'boolean', value: true, description: 'whether to build manual.pdf')

=== src/Makefile ===
top_builddir=..
include $(top_builddir)/Makefile.config

SUBDIRS-$(CONFIG_BOOKMARKS)	+= bookmarks
SUBDIRS-$(CONFIG_COOKIES)	+= cookies
SUBDIRS-$(CONFIG_DOM)		+= dom
SUBDIRS-$(CONFIG_ECMASCRIPT)	+= ecmascript
SUBDIRS-$(CONFIG_FORMHIST)	+= formhist
SUBDIRS-$(CONFIG_GLOBHIST)	+= globhist
SUBDIRS-$(CONFIG_SCRIPTING)	+= scripting

SUBDIRS = \
 bfu \
 cache \
 config \
 dialogs \
 document \
 encoding \
 intl \
 main \
 mime \
 network \
 osdep \
 protocol \
 session \
 terminal \
 util \
 viewer

# Get the GIT HEAD ID if possible
ifdef GIT
GITDESC  = $(shell $(GIT) --git-dir=$(top_srcdir)/.git rev-parse HEAD 2>/dev/null)
WTDIRTY  = $(shell cd "$(top_srcdir)" && $(GIT) diff-index HEAD 2>/dev/null)
BUILD_ID = $(subst elinks-,,$(GITDESC))$(if $(WTDIRTY),-dirty)
endif
INCLUDES += -DBUILD_ID="\"$(BUILD_ID)\""

vernum.o: $(LIB_O_NAME)

elinks$(EXEEXT): $(LIB_O_NAME) vernum.o
	$(call cmd,link)

# Place the TAGS file in the source directory so that, if the same
# source is built for different configurations in different build
# directories, one doesn't have to remember which of those build
# directories has the most recent TAGS.
TAGS:
	cd $(firstword $(srcdir) .) \
	&& find . \( -name "*.[ch]" -o -name "*.inc" \) -print \
	| etags --regex='{c}/\(?:static \)?INIT_LIST_OF([^,]*,[ \t]*\([[:alnum:]_]+\))/\1/' \
		--regex='{c}/struct_hierbox_browser(\n[ \t]*\([[:alnum:]_]+\),/\1/m' \
		--regex='{c}/^ACTION_(\([[:alnum:]_]+\),[^,]*,[ \t]*\([[:alnum:]_]+\),/ACT_\1_\2/' \
		--language=c -

tags:
	cd $(firstword $(srcdir) .) \
	&& find . \( -name "*.[ch]" -o -name "*.inc" \) -print \
	| ctags -L -

.PHONY: TAGS tags

PROGS = elinks$(EXEEXT)
CLEAN = vernum.o TAGS tags

include $(top_srcdir)/Makefile.lib

=== src/bfu/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config

OBJS-$(CONFIG_LEDS) += leds.o

OBJS = \
 button.o \
 checkbox.o \
 dialog.o \
 group.o \
 hierbox.o \
 hotkey.o \
 inpfield.o \
 inphist.o \
 listbox.o \
 listmenu.o \
 menu.o \
 msgbox.o \
 style.o \
 text.o \
 widget.o

include $(top_srcdir)/Makefile.lib

=== src/cache/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config

OBJS = cache.obj dialogs.o

include $(top_srcdir)/Makefile.lib

=== src/dialogs/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config

OBJS-$(CONFIG_EXMODE) += exmode.o

OBJS = document.o download.o edit.o info.obj menu.o options.o progress.o status.o

include $(top_srcdir)/Makefile.lib

=== src/document/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config

SUBDIRS-$(CONFIG_CSS)	+= css
SUBDIRS-$(CONFIG_DOM)	+= dom
SUBDIRS-$(CONFIG_XML)	+= xml

SUBDIRS = gemini html plain

OBJS = docdata.o document.obj format.o forms.o options.o refresh.o renderer.obj

include $(top_srcdir)/Makefile.lib

=== src/ecmascript/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config
INCLUDES += $(SPIDERMONKEY_CFLAGS) $(MUJS_CFLAGS)

SUBDIRS-$(CONFIG_ECMASCRIPT_SMJS)	+= spidermonkey

SUBDIRS-$(CONFIG_MUJS)	+= mujs

SUBDIRS-$(CONFIG_QUICKJS)	+= quickjs

OBJS-$(CONFIG_ECMASCRIPT_SMJS)		+= css2xpath.obj ecmascript.obj localstorage-db.obj spidermonkey.obj

OBJS-$(CONFIG_MUJS)		+= css2xpath.obj ecmascript.obj localstorage-db.obj mujs.obj

OBJS-$(CONFIG_QUICKJS)		+= css2xpath.obj ecmascript.obj localstorage-db.obj quickjs.obj

ifeq ($(CONFIG_ECMASCRIPT_SMJS), yes)
CONFIG_ANY_SPIDERMONKEY = yes
else ifeq ($(CONFIG_SCRIPTING_SPIDERMONKEY), yes)
CONFIG_ANY_SPIDERMONKEY = yes
else
CONFIG_ANY_SPIDERMONKEY = no
endif

OBJS-$(CONFIG_ANY_SPIDERMONKEY) += spidermonkey-shared.obj

include $(top_srcdir)/Makefile.lib

=== src/encoding/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 OBJS-$(CONFIG_BROTLI)	+= brotli.o
 OBJS-$(CONFIG_BZIP2)	+= bzip2.o
-OBJS-$(CONFIG_GZIP)	+= deflate.o
+OBJS-$(CONFIG_GZIP)	+= gzip.o
 OBJS-$(CONFIG_LZMA)	+= lzma.o
 OBJS-$(CONFIG_ZSTD)	+= zstd.o

=== src/intl/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config

ifeq ($(CONFIG_GETTEXT), no)
SUBDIRS-$(CONFIG_NLS) += gettext
endif

OBJS = charsets.o

OBJS-$(CONFIG_GETTEXT) += libintl.o
OBJS-$(CONFIG_UTF8) += width.o

include $(top_srcdir)/Makefile.lib

=== src/main/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config

OBJS-$(CONFIG_INTERLINK) += interlink.o

OBJS = event.o main.o module.obj select.o timer.obj version.o

include $(top_srcdir)/Makefile.lib

=== src/protocol/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config

SUBDIRS-$(CONFIG_BITTORRENT)	+= bittorrent
SUBDIRS-$(CONFIG_FINGER)	+= finger
SUBDIRS-$(CONFIG_FSP)		+= fsp
SUBDIRS-$(CONFIG_FTP)		+= ftp
SUBDIRS-$(CONFIG_GEMINI)	+= gemini
SUBDIRS-$(CONFIG_GOPHER)	+= gopher
SUBDIRS-$(CONFIG_NNTP)		+= nntp
SUBDIRS-$(CONFIG_SMB)		+= smb
SUBDIRS-$(CONFIG_URI_REWRITE)	+= rewrite

SUBDIRS = auth file http test

OBJS-$(CONFIG_DATA)		+= data.o

OBJS = about.o common.o date.o header.o protocol.obj proxy.o uri.o user.o

include $(top_srcdir)/Makefile.lib

=== src/session/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config

OBJS = download.o history.o location.o session.obj task.o

include $(top_srcdir)/Makefile.lib

=== debian/changelog ===
elinks (0.16.1.1-4.1ubuntu4) plucky; urgency=medium

  * No-change rebuild for libperl soname.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 20 Oct 2024 10:32:35 +0200

elinks (0.16.1.1-4.1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:45:24 +1100

elinks (0.16.1.1-4.1ubuntu2) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 17:00:56 +0100

elinks (0.16.1.1-4.1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - d/p/increase-test-timeout.diff: increase test timeout to avoid armhf
      and arm64 failures leading to FTBFS issues in Ubuntu builders.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Jan 2024 09:37:48 +0100

elinks (0.16.1.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS with Perl 5.38: error: redefinition of 'struct object'":
    add patch from upstream pull request/commit.
    (Closes: #1042844)

 -- gregor herrmann <gregoa@debian.org>  Fri, 17 Nov 2023 21:39:04 +0100

elinks (0.16.1.1-4ubuntu1) mantic; urgency=medium

  * d/p/increase-test-timeout.diff: increase test timeout to avoid armhf
    and arm64 failures leading to FTBFS issues in Ubuntu builders.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Wed, 12 Jul 2023 21:12:07 -0300

elinks (0.16.1.1-4) unstable; urgency=medium

  [ Pino Toscano ]
  * d/rules: disable gpm on non-Linux architectures

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Add fix-mailcap-test.diff patch to fix mailcap-cache test that fails on
    s390x arch

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 30 Jun 2023 03:01:41 +0200

elinks (0.16.1.1-3) unstable; urgency=medium

  * d/control: bump Lua build-dep to 5.3
  * d/rules: pass -Dluapkg=lua5.3 to meson to re-enable Lua support
    (Closes: #1037130)
  * d/rules: export FORCE_SOURCE_DATE to makke PDF manual build reproducible.
    Thanks to Chris Lamb <lamby@debian.org> (Closes: #1037159)
  * Re-enable bzip2 compression

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 14 Jun 2023 22:52:28 +0200

elinks (0.16.1.1-2) unstable; urgency=medium

  * Upload to unstable
  * d/control, d/copyright: update homepage URL (Closes: #1036632, #1003791)
  * d/copyright: update upstream contact

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 04 Jun 2023 22:22:36 +0200

elinks (0.16.1.1-1) experimental; urgency=medium

  * New upstream version 0.16.1.1
  * Switch to meson build system.
    Replace d/elinks-doc.docs with elinks-doc.install
  * d/watch: change downloadurlmangle to get xz tarball
  * Removed fix-uri-encoding.diff, meson_nogit.diff patches, applied upstream
  * d/rules: override dh_install to exclude installation of empty manual.proc
  * Add d/elinks-doc.doc-base

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 02 May 2023 00:28:34 +0200

elinks (0.16.0-2) experimental; urgency=medium

  * d/rules: no need to configure info dir
  * d/changelog: remove trailing whitespaces
  * Remove ascii-replacement-utf8-console.diff patch, applied upstream
  * Add fix-uri-encoding.diff to fix encoding of URIs with non-ASCII characters
    (Closes: #561751)
  * Enable fast mode only for stable releases (Closes: #774159)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 29 Apr 2023 05:49:08 +0200

elinks (0.16.0-1) experimental; urgency=medium

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * New upstream version 0.16.0
    + Confgurable Accept headers (Closes: #382174)
  * Updated upstream links
  * d/watch: updaten& add uversionmangle for pre & RC releases
  * Remove watch file in contrib as it confuses uscan
  * d/u/metadata: remove Homepage field
  * d/control:
    + updated standards version to 4.6.2
    + Add dblatex to build deps
  * Refreshed patches.
  * Removed patches:
    + 16_POST_BUFFER_SIZE.diff patch, applied upstream
    + 1[01]-reproducible-build.diff patches, replaced by
      CONFIG_REPRODUCIBLE option
  * Update changelog for 0.16.02-1~3.gbp4122c2 release
  * d/elinks-data.examples: update filename of w3m2links.awk script
  * d/control: update build-deps
    libidn11-dev -> libidn-dev, libncurses5-dev -> libncurses-dev
  * Remove d/elinks.lintian-overrides, no longer needed
  * d/source.lintian-overrides: add overrides for HTML files reported to be
    without source.
    See: #1019980
  * Enable Spidermonkey javascript support
  * d/rules:
    + Enable reproducible builds, set source-date-epoch to latest changelog
      entry epoch.
    + Split each configure option in a separate line
    + Set source epoch to timestamp of last changelog entry
    + Enable Gopher protocol
    + Enable Gemini protocol
    + Use system gettext
    + Disable dh_auto_test till upstream fixes it.
  * Build with zlib support (Closes: #1023831)
  * Enable Brotli compression

  [ Lucas Kanashiro ]
  * debian/tests/{control,basic-usage}: add basic test case

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 21 Apr 2023 23:39:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,25 @@
 Source: elinks
 Section: web
 Priority: optional
-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
-Build-Depends: debhelper-compat (= 13), libtre-dev, libgnutls28-dev, libgcrypt20-dev, libidn11-dev,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
+Build-Depends: debhelper-compat (= 13), libtre-dev, libgnutls28-dev, libgcrypt20-dev, libidn-dev,
 	libfsplib-dev, libgpm-dev [linux-any],
-	liblua5.1-dev, libbz2-dev, libexpat1-dev,
+	liblua5.3-dev, libbz2-dev, libexpat1-dev,
 	libperl-dev, libkrb5-dev, gettext,
 	xmlto, docbook-utils, pkg-config,
   liblzma-dev,
-  libncurses5-dev
+  libncurses-dev
   ,libev-libevent-dev
   ,python3
+  ,dblatex
+  ,zlib1g-dev
+  ,libbrotli-dev
+  ,meson
 Build-Conflicts: libgc-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: http://elinks.cz/
+Homepage: https://github.com/rkd77/elinks/
 Vcs-Git: https://salsa.debian.org/aelmahmoudy/elinks.git
 Vcs-Browser: https://salsa.debian.org/aelmahmoudy/elinks
 
@@ -38,7 +43,7 @@
   * Tables and frames rendering, and configurable color support
   * Compressed and background (non-blocking) downloads, and download resuming
  .
- This package is based on felinks fork, since original elinks seems to be no
+ This package is based on elinks fork, since original elinks seems to be no
  longer maintained.
 
 Package: elinks-data

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs
export FORCE_SOURCE_DATE = 1

CONF_OPTS= -Dtest=true \
		-Dlzma=true \
		-Dbzlib=true \
	  -Dopenssl=false \
	  -Dx=false \
	  -Dfinger=true \
	  -Dgnutls=true \
	  -Dnntp=true \
	  -D88-colors=true \
	  -D256-colors=true \
	  -Dgettext=true \
	  -Dnls=true \
	  -Dleds=true \
	  -Dhtml-highlight=true \
	  -Dfsp=true \
	  -Dsmb=false \
	  -Dperl=true \
	  -Dguile=false \
	  -Dpython=false \
	  -Druby=false \
	  -Dluapkg=lua5.3 \
	  -Dgssapi=true \
	  -Dcgi=true \
	  -Dexmode=true \
	  -Dbittorrent=true \
	  -Ddebug=false \
	  -Dcombining=true \
	  -Dterminfo=true \
	  -Dlibev=true \
	  -Dreproducible=true \
	  -Dbrotli=true \
	  -Dgopher=true \
	  -Dgemini=true \
	  -Dsource-date-epoch=$(SOURCE_DATE_EPOCH)

ifeq (,$(findstring ~,$(DEB_VERSION_UPSTREM)))
	CONF_OPTS += -Dfastmem=true
endif

ifneq (linux,$(DEB_HOST_ARCH_OS))
	CONF_OPTS += -Dgpm=false
endif

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- --sysconfdir=/etc/elinks $(CONF_OPTS)

override_dh_auto_build:
	dh_auto_build -- man html pdf txt

override_dh_installexamples:
	dh_installexamples --exclude=.gitignore

override_dh_install:
	dh_install -Xmanual.proc
